Boards

Get preview of what boards would be copied including related boards using advanced graph algorithms

GET
/public-api/v1/Boards/CopyWithRelationPreview/{boardId}
cURL
curl --request GET \
  --url '/public-api/v1/Boards/CopyWithRelationPreview/{boardId}' \
  --header 'user-api-key: <api-key>'

Autorizaciones

  • user-api-keystringheader

    User's API Key · apiKey

Parámetros de ruta

  • boardIdstringobligatorio

Parámetros de consulta

  • Idobject
    • Randomstring
    • Timestring
  • Valuestring

Respuestas

OK

  • RootBoardobject

    Basic information about a board for preview

    • BoardIdstring

      Board ID

    • Labelstring

      Board label/name

    • WorkspaceIdstring

      Workspace ID where the board is located

    • IsArchivedboolean

      Whether the board is archived

  • RelatedBoardsobject[]
    • BoardIdstring

      Board ID

    • Labelstring

      Board label/name

    • WorkspaceIdstring

      Workspace ID where the board is located

    • IsArchivedboolean

      Whether the board is archived

    • RelationPropertyNamesstring[]

      Names of the relation properties connecting to this board

    • CanCopyboolean

      Whether the user has permission to copy this board

    • CannotCopyReasonstring

      Reason why the board cannot be copied (if CanCopy is false)

    • RelationLevelinteger

      Relation depth level (0 = direct relation, 1 = relation of relation, etc.)

    • RelationPathstring[]

      Path showing how this board is connected (e.g., "MainBoard → ProjectBoard → TaskBoard")

    • HasNestedRelationsboolean

      Whether this board has its own related boards (nested relations)

    • DistanceFromRootinteger
    • IncomingRelationsobject[]
      • SourceBoardIdstring
      • TargetBoardIdstring
      • PropertyIdstring
      • PropertyNamestring
      • IsMasterDetailboolean
      • IsCollectionboolean
      • ReversePropertyIdstring
    • OutgoingRelationsobject[]
      • SourceBoardIdstring
      • TargetBoardIdstring
      • PropertyIdstring
      • PropertyNamestring
      • IsMasterDetailboolean
      • IsCollectionboolean
      • ReversePropertyIdstring
    • DiscoveryOrderinteger
    • DiscoveredViaReverseboolean
  • Statsobject
    • TotalBoardsDiscoveredinteger
    • TotalRelationsAnalyzedinteger
    • MaxDepthReachedinteger
    • RestrictedBoardsCountinteger
    • WasLimitedboolean
    • LimitationReasonstring
  • CanCopyAllRelatedBoardsboolean
  • RestrictedBoardsobject[]
    • BoardIdstring

      Board ID

    • Labelstring

      Board label/name

    • WorkspaceIdstring

      Workspace ID where the board is located

    • IsArchivedboolean

      Whether the board is archived

    • RelationPropertyNamesstring[]

      Names of the relation properties connecting to this board

    • CanCopyboolean

      Whether the user has permission to copy this board

    • CannotCopyReasonstring

      Reason why the board cannot be copied (if CanCopy is false)

    • RelationLevelinteger

      Relation depth level (0 = direct relation, 1 = relation of relation, etc.)

    • RelationPathstring[]

      Path showing how this board is connected (e.g., "MainBoard → ProjectBoard → TaskBoard")

    • HasNestedRelationsboolean

      Whether this board has its own related boards (nested relations)

    • DistanceFromRootinteger
    • IncomingRelationsobject[]
      • SourceBoardIdstring
      • TargetBoardIdstring
      • PropertyIdstring
      • PropertyNamestring
      • IsMasterDetailboolean
      • IsCollectionboolean
      • ReversePropertyIdstring
    • OutgoingRelationsobject[]
      • SourceBoardIdstring
      • TargetBoardIdstring
      • PropertyIdstring
      • PropertyNamestring
      • IsMasterDetailboolean
      • IsCollectionboolean
      • ReversePropertyIdstring
    • DiscoveryOrderinteger
    • DiscoveredViaReverseboolean